//
//  MainMenuView.swift
//  DouShouQiIOS
//
//  Created by Pierre FERREIRA on 21/05/2024.
//

import SwiftUI

struct MainMenuView: View {
    var body: some View {
        VStack {
            Image("DouShouQi")
                .resizable()
                .aspectRatio(contentMode: .fit)
                .frame(width: 200, height: 200)

            
            Text("DouShouQi")
                .font(.largeTitle)
                .bold()
                .padding()
            
            Button(action: {
                // Action pour Jouer Seul
                print("Jouer Seul tapped!")
            }) {
                Text("Jouer Seul")
                    .font(.title2)
                    .padding()
                    .background(Color.yellow)
                    .foregroundColor(.white)
                    .cornerRadius(8)
            }
            .padding(.top, 10)
            
            Button(action: {
                // Action pour Jouer en Multi
                print("Jouer en Multi tapped!")
            }) {
                Text("Jouer en Multi")
                    .font(.title2)
                    .padding()
                    .background(Color.yellow)
                    .foregroundColor(.white)
                    .cornerRadius(8)
            }
            
            NavigationLink(destination: PlayerListView()) {
                Text("Leaderboard")
                    .font(.title2)
                    .padding()
                    .background(Color.yellow)
                    .foregroundColor(.white)
                    .cornerRadius(8)
            }
            .padding(.top, 20)
            
            Button(action: {
                        // Quitter
                        print("Quitter tapped!")
                    }
            ) {
                Text("Quitter")
                    .font(.title2)
                    .padding()
                    .foregroundColor(.yellow)
            }.overlay(
                RoundedRectangle(cornerRadius: 10)
                .stroke(.yellow, lineWidth: 3)
            )
            .padding(.top, 20)
            
        }.navigationBarBackButtonHidden(true)
    }
}

struct MainMenuView_Previews: PreviewProvider {
    static var previews: some View {
        MainMenuView()
    }
}
